<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace PRINTERModule\Lib;


use itnovum\openITCOCKPIT\Core\Wizards\ModuleWizardsInterface;

class Wizards implements ModuleWizardsInterface {

    /**
     * @var array
     */
    private $ACL_PERMISSIONS = [];

    /**
     * Widgets constructor.
     * @param $ACL_PERMISSIONS
     */
    public function __construct($ACL_PERMISSIONS) {
        $this->ACL_PERMISSIONS = $ACL_PERMISSIONS;
    }

    /**
     * @return array
     */
    public function getAvailableWizards() {
        if (!(isset($this->ACL_PERMISSIONS['hosts']['add']) && isset($this->ACL_PERMISSIONS['services']['add']))) {
            return [];
        }
        $wizards = [
            'printer' => [
                'type_id'                 => 'printer',
                'uuid'                    => 'fd5653a3-a84d-432f-81f8-60be5ed41a88',
                'title'                   => __('Printer'),
                'description'             => __('Add your printers for monitoring by specifying the device details'),
                'image'                   => 'printer.jpg',
                'directive'               => 'printer', //AngularJS directive
                'state'                   => 'WizardsPrinter',
                'category'                => ['hardware'],
                'necessity_of_assignment' => true
            ]
        ];

        return $wizards;
    }

}
